Create new Webhook

Webhooks allow the system to push notifications of particular system events without the client having to the submit repeated requests for information.

Our webhooks allow our API clients to receive real-time notifications for changes in trade status, reimbursement status, payment status, Swift GPI status & GPI codes of an ongoing payment.

Using this endpoint, you can create a new Webhook connection, by providing a URL where StoneX will push your payment status notifications.

Request

Method Type: POST

Mandatory fields:

  • eventType: Type of webhook event. Currently we support the following event types
    • PaymentStatusChanged : You can use this to receive all the status changes related to your ongoing payment with us. You can check the different payment statuses on the Get Status API page.
    • NewInvestigationCreated : You can use this to receive an update when a new investigation is created by StoneX for one of the payments on your account.
    • InvestigationUpdated : You can use this to receive an update when an existing investigation is updated by StoneX
  • url: The URL where you want StoneX to send push notifications to.
  • isActive: Set to either true or false

Example Request

{
  "eventType": "PaymentStatusChanged",
  "url": "https://webhook.site/d1d51d03-9af7-4d9e-9d18-77037831a99999",
  "isActive": true
}

Response

A successful response with a HTTP 201 status confirms the creation of the new webhook connection.

Http Status: 201 Created

Example Response

{
    "clientId": "TEST CLIENT",
    "isActive": true,
    "webhookEventType": "PaymentStatusChanged",
    "url": "https://webhook.site/d1d51d03-9af7-4d9e-9d18-77037831a99999",
    "id": "678f866e853c889d0d449d87",
    "createdDate": "2025-01-21T11:35:10.9736021Z",
    "modifiedDate": "2025-01-21T11:35:10.9736433Z",
    "createdBy": "StoneX Payments",
    "modifiedBy": "StoneX Payments",
    "optimisticVersion": 1
}
Body Params
string
enum
string | null
boolean
Headers
string
string
enum
Defaults to application/json;odata.metadata=minimal;odata.streaming=true
Responses

500

Internal Server Error

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json;odata.metadata=minimal;odata.streaming=true
application/json;odata.metadata=minimal;odata.streaming=false
application/json;odata.metadata=minimal
application/json;odata.metadata=full;odata.streaming=true
application/json;odata.metadata=full;odata.streaming=false
application/json;odata.metadata=full
application/json;odata.metadata=none;odata.streaming=true
application/json;odata.metadata=none;odata.streaming=false
application/json;odata.metadata=none
application/json;odata.streaming=true
application/json;odata.streaming=false
application/json
application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=false
application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=true
application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=false
application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=true
application/json;odata.metadata=minimal;IEEE754Compatible=false
application/json;odata.metadata=minimal;IEEE754Compatible=true
application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=false
application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=true
application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=false
application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=true
application/json;odata.metadata=full;IEEE754Compatible=false
application/json;odata.metadata=full;IEEE754Compatible=true
application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=false
application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=true
application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=true
application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=false
application/json;odata.metadata=none;IEEE754Compatible=false
application/json;odata.metadata=none;IEEE754Compatible=true
application/json;odata.streaming=true;IEEE754Compatible=false
application/json;odata.streaming=true;IEEE754Compatible=true
application/json;odata.streaming=false;IEEE754Compatible=false
application/json;odata.streaming=false;IEEE754Compatible=true
application/json;IEEE754Compatible=false
application/json;IEEE754Compatible=true
text/plain
application/octet-stream
text/json